#include <iostream>
#include <bits/stdc++.h>
using namespace std;

int main()
{
    int n;
    cin>>n;
    double P[n],vrednost,maxi=0,A[n];
    for (int i=0;i<n;i++)
    {
        cin>>A[i]>>P[i];
    }
    for(int i=0;i<n;i++)
    {
        vrednost=0;
        for (int j=0;j<n;j++)
        {
            if(P[i]<=P[j])
            {
                vrednost+=P[i]*A[j]/100,0;
            }
        }
        if (vrednost>maxi)
        {
            maxi=vrednost;
        }
    }
    cout << fixed << maxi;
    return 0;
}